This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 746384 - Redhat LSB version conflict with third party product
Redhat LSB version conflict with third party product
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: yum (Show other bugs)
5.6
x86_64 Linux
unspecified Severity medium
: rc
: ---
Assigned To: Lawrence Lim
BaseOS QE - Apps
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-15 04:02 EDT by Christian Reuss
Modified: 2014-03-25 21:12 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-22 10:56:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Christian Reuss 2011-10-15 04:02:52 EDT
Description of problem:
When upgrading to RHEL 5.6 we get the following message

ERROR with rpm_check_debug vs depsolve:
lsb-core-amd64 is needed by (installed) DoXiteLicenseServer-1.2.4-19891.x86_64
Complete!
(1, [u'Please report this error in https://bugzilla.redhat.com/enter_bug.cgi?product=Red%20Hat%20Enterprise%20Linux%205&component=yum'])

During the upgrade the redhat-lsb packages would be upgraded to version 4.x but the third party product still needs version 3.x.

Version-Release number of selected component (if applicable):
RHEL 5.6

How reproducible:
Upgrade a RHEL 5.5 system to a newer release while the third party product is installed

Steps to Reproduce:
1. Install third party product (http://www.detec.de/en/produkte/ueberblick/doxite/sap3.html)
2. Upgrade to RHEL 5.6
3.
  
Actual results:
Error message during yum dependency check (see above)

Expected results:
Error occures

Additional info:
Comment 1 Zdeněk Pavlas 2013-03-22 10:56:30 EDT
This is a bug in Yum depsolver, it does not recheck versioned requires of installed packages.  This is already fixed in newer Yum (shows an error during depsolving, offers --skip-broken).  However, we do not plan backporting this feature.  The only benefit is a better error message, and the backport might be quite large and intrusive,

Note You need to log in before you can comment on or make changes to this bug.